# Class CIM_RecordAppliesToElement
extends CIM_Dependency

ManagedSystemElements may create RecordForLog objects to record their event, error or informational data within Logs. The relationship between these managed elements and the records they create is described by this association.

### Table of Contents
Hierarchy
Direct Known Subclasses
Class Qualifiers
Class Properties
Class Methods

## Class Hierarchy

CIM_Dependency
|
+--CIM_RecordAppliesToElement

## Direct Known Subclasses

## Class Qualifiers

Name | Data Type | Value
--- | --- | ---
Association | boolean | true
Description | string | ManagedSystemElements may create RecordForLog objects to record their event, error or informational data within Logs. The relationship between these managed elements and the records they create is described by this association.
UMLPackagePath | string | CIM::System::Logs
Version | string | 2.9.0

## Class Properties

### Association References

Name | Class Origin | Reference Class
--- | --- | ---
Antecedent | CIM_RecordAppliesToElement | CIM_RecordForLog
Dependent | CIM_RecordAppliesToElement | CIM_ManagedElement

## Class Methods